Package org.opensaml.saml.saml1.core

# Interface AuthorityBinding

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `AuthorityBindingImpl`

public interface AuthorityBinding extends SAMLObject
Interface to define how a `AuthorityBinding` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHORITYKIND_ATTRIB_NAME`
Name for the AuthorityKind attribute.
`static final String`
`BINDING_ATTRIB_NAME`
Name for the Binding attribute.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`LOCATION_ATTRIB_NAME`
Name for the Location attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`QName`
`getAuthorityKind()`
Get the type of authority described.
`String`
`getBinding()`
Get the authority binding.
`String`
`getLocation()`
Get the authority location.
`void`
`setAuthorityKind(QName authorityKind)`
Set the type of authority described.
`void`
`setBinding(String binding)`
Set the authority binding.
`void`
`setLocation(String location)`
Set the authority location.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### AUTHORITYKIND_ATTRIB_NAME

@Nonnull @NotEmpty static final String AUTHORITYKIND_ATTRIB_NAME
Name for the AuthorityKind attribute.

See Also:
  - Constant Field Values

### LOCATION_ATTRIB_NAME

@Nonnull @NotEmpty static final String LOCATION_ATTRIB_NAME
Name for the Location attribute.

See Also:
  - Constant Field Values

### BINDING_ATTRIB_NAME

@Nonnull @NotEmpty static final String BINDING_ATTRIB_NAME
Name for the Binding attribute.

See Also:
  - Constant Field Values

## Method Details

### getAuthorityKind

@Nullable QName getAuthorityKind()
Get the type of authority described.

Returns:
  the type of authority

### setAuthorityKind

void setAuthorityKind(@Nullable QName authorityKind)
Set the type of authority described.

Parameters:
  `authorityKind` - the type of authority

### getLocation

@Nullable String getLocation()
Get the authority location.

Returns:
  the location

### setLocation

void setLocation(@Nullable String location)
Set the authority location.

Parameters:
  `location` - the location

### getBinding

@Nullable String getBinding()
Get the authority binding.

Returns:
  the binding

### setBinding

void setBinding(@Nullable String binding)
Set the authority binding.

Parameters:
  `binding` - the binding